Finish adding a passkey
curl --request POST \
--url https://api.next.orenda.finance/v1/auth/passkey/register/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"attestation": {
"credentialIdB64": "AaIWjR2k8Qm3sV7tZ1pYxC",
"clientDataJSON_B64": "eyJ0eXBlIjoid2ViYXV0aG4uY3JlYXRlIn0",
"attestationObjectB64": "o2NmbXRkbm9uZWdhdHRTdG10oGhhdXRoRGF0YQ",
"transports": [
"internal"
]
}
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/passkey/register/complete"
payload = {
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"attestation": {
"credentialIdB64": "AaIWjR2k8Qm3sV7tZ1pYxC",
"clientDataJSON_B64": "eyJ0eXBlIjoid2ViYXV0aG4uY3JlYXRlIn0",
"attestationObjectB64": "o2NmbXRkbm9uZWdhdHRTdG10oGhhdXRoRGF0YQ",
"transports": ["internal"]
}
}
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-program-id': '<x-program-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
session_token: '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b',
attestation: {
credentialIdB64: 'AaIWjR2k8Qm3sV7tZ1pYxC',
clientDataJSON_B64: 'eyJ0eXBlIjoid2ViYXV0aG4uY3JlYXRlIn0',
attestationObjectB64: 'o2NmbXRkbm9uZWdhdHRTdG10oGhhdXRoRGF0YQ',
transports: ['internal']
}
})
};
fetch('https://api.next.orenda.finance/v1/auth/passkey/register/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"credentialId": "AaIWjR2k8Qm3sV7tZ1pYxC",
"createdAt": "2026-06-18T10:32:00Z"
}
}{
"success": false,
"code": "INVALID_CREDENTIALS",
"message": "<string>",
"retryable": true
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "email is required"
}Passkeys
Finish adding a passkey
Step 2 of adding a passkey. Send the session_token from register/start and the attestation the browser produced.
POST
/
v1
/
auth
/
passkey
/
register
/
complete
Finish adding a passkey
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifies the program. Can also be sent as the programId query parameter.
Body
application/json
⌘I